require "rails_otp/version"
require "rails_otp/otp"
require "rails_otp/exotel"
require "rails_otp/configuration"

module RailsOtp
  class << self
    attr_accessor :configuration
  end

  def self.configuration
    @configuration ||= Configuration.new
  end

  def self.reset
    @configuration = Configuration.new
  end

  def self.configure
    yield(configuration)
  end
end
